Bug 998327 - http://docs.fedoraproject.org/ doesn't work for the Romanian language (ro-RO)
http://docs.fedoraproject.org/ doesn't work for the Romanian language (ro-RO)
Status: ASSIGNED
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Docs QA
Ruediger Landmann
:
Depends On: 1045184
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 00:35 EDT by Cristian Ciupitu
Modified: 2015-09-27 22:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1045184 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Ciupitu 2013-08-19 00:35:00 EDT
Document URL:
http://docs.fedoraproject.org/ 

Section Number and Name: 
http://docs.fedoraproject.org/

Describe the issue:
If I put Romanian ([ro-RO] and/or [ro]) at the top of preferred
languages in firefox-23.0-1.fc19.x86_64, the web page doesn't work. The
page is loaded then the browser seems to be redirected to the same page
over and over.

Suggestions for improvement: 

Additional information:
Visiting http://docs.fedoraproject.org/en-US/index.html directly works
fine.
Visiting http://docs.fedoraproject.org/xx-XX/index.html (literaly)
starts a loop.

I don't necessarily want the website translated into Romanian, I just
want it to work even if it's in English.
Comment 1 Pete Travis 2013-08-19 00:39:45 EDT
I've confirmed the symptoms can be recreated by invoking `LANG=ro_RO firefox` under a clean user account.
Comment 2 Cristian Ciupitu 2013-08-19 01:44:51 EDT
Some additional information: the / page has "ro" in the list of
(supported) locales[1] even if the possible URLs for the Romanian
language[2][3] don't work.

I also looked at the git repository for the website and I noticed that
there's no `index.html` under the ro subdirectory[4] like for other
languages, e.g. de-DE[5] and fr-FR[6].  By the way, while looking at the
rest of the languages I noticed that the index file is missing from
ia[7] too, so I tested with Interlingua and the looping issue occurred
again.

[1]: https://git.fedorahosted.org/cgit/docs/web.git/tree/public_html/index.html#n19 <!-- not sure if that's the source of what I get in browser -->
[2]: http://docs.fedoraproject.org/ro/index.html
[3]: http://docs.fedoraproject.org/ro-RO/index.html
[4]: https://git.fedorahosted.org/cgit/docs/web.git/tree/public_html/ro
[5]: https://git.fedorahosted.org/cgit/docs/web.git/tree/public_html/de-DE
[6]: https://git.fedorahosted.org/cgit/docs/web.git/tree/public_html/fr-FR
[7]: https://git.fedorahosted.org/cgit/docs/web.git/tree/public_html/ia
Comment 3 Eric Christensen 2013-11-25 10:54:50 EST
I'm not able to reproduce the website not redirecting you to en-US language pages.  In fact, that's all I can get it to do.  Looking at the source I can confirm that *some* of the files are translated into Romanian for the website but, like you found, there is no index.html for the language.  

I'll continue to troubleshoot this and see what I can do.  I'd like to see the site available in Romanian (especially if the source is already translated).  

Sorry for the delay on this ticket.
Comment 4 Ruediger Landmann 2013-11-25 21:23:54 EST
Thanks for the heads-up Sparks -- I'll see if I can get to the bottom of this...
Comment 5 Pete Travis 2013-12-17 23:01:15 EST
I've done a little poking on this, republishing docsite-publican.  I found that publishing an ro-RO translation results in "ro" in the "locales" variable that gets iterated over for the redirect. For now, I'm manually changing web.git/public_html/index.html to "ro-RO", which redirects to the ro-RO content that seems to be in the correct path.
Comment 6 Cristian Ciupitu 2013-12-18 09:31:02 EST
Right now I'm being redirected to http://docs.fedoraproject.org/ro-RO/index.html and I see some English documentation in the right frame/panel, but the left side seems to be stuck in an infinite loop.
Comment 7 Pete Travis 2013-12-19 14:51:40 EST
(In reply to Cristian Ciupitu from comment #6)
> Right now I'm being redirected to
> http://docs.fedoraproject.org/ro-RO/index.html and I see some English
> documentation in the right frame/panel, but the left side seems to be stuck
> in an infinite loop.

The left pane is redirected based via cookie; can you clear cookies for the site and test?
Comment 8 Cristian Ciupitu 2013-12-19 15:16:17 EST
(In reply to Pete Travis from comment #7)
> (In reply to Cristian Ciupitu from comment #6)
> > Right now I'm being redirected to
> > http://docs.fedoraproject.org/ro-RO/index.html and I see some English
> > documentation in the right frame/panel, but the left side seems to be stuck
> > in an infinite loop.
> 
> The left pane is redirected based via cookie; can you clear cookies for the
> site and test?

I've cleared both the cookies and the cache and the result is the same.

Note You need to log in before you can comment on or make changes to this bug.